## **2.1. Stopień i współczynniki wielomianu**

### **Co to jest wielomian?**

Wyobraź sobie, że wielomian to **torba z zakupami**. W środku masz różne produkty: jabłka (`x`), banany (`x²`), marchewki (`x³`), itd. Każdy produkt ma **swoją cenę** (współczynnik) i **ilość** (potęga `x`).

**Przykład:**  
`5x³ - 2x² + 7x - 1`

- `5x³` → 5 worków jabłek (`x³`), każdy kosztuje 5 zł.
    
- `-2x²` → 2 banany (`x²`), ale na minusie (ktoś je zabrał).
    
- `7x` → 7 marchewek (`x`).
    
- `-1` → ktoś ukradł 1 zł z portfela (wyraz wolny).
    

### **Stopień wielomianu**
 
To **najwyższa potęga** w torbie. W `5x³ - 2x² + 7x - 1` najwyższa to `x³`, więc stopień to **3**.

### **Współczynniki**

To liczby przed `x`:

- przy `x³` → `5`
    
- przy `x²` → `-2`
    
- przy `x` → `7`
    
- wyraz wolny → `-1`
    

**Ćwiczenie:** W `-x⁴ + 3x - 5` stopień to **4**, współczynniki: `-1` (przy `x⁴`), `3` (przy `x`), `-5` (wyraz wolny).

---

## **2.2. Dodawanie i odejmowanie wielomianów**

### **Dodawanie**

To jak **łączenie dwóch toreb zakupów**. Możesz dodać tylko **te same produkty** (te same potęgi `x`).

**Przykład:**  
`(3x² + 2x + 1) + (x² - 5x + 4)`

1. Łączymy `x²`: `3x² + x² = 4x²`
    
2. Łączymy `x`: `2x - 5x = -3x`
    
3. Łączymy wolne wyrazy: `1 + 4 = 5`  
    **Wynik:** `4x² - 3x + 5`
    

### **Odejmowanie**

Najpierw **zmieniamy znaki w drugim nawiasie**, potem dodajemy.

**Przykład:**  
`(3x² + 2x) - (x² - 5x)`

1. Zmieniamy znaki: `-x² + 5x`
    
2. Dodajemy: `3x² - x² + 2x + 5x = 2x² + 7x`
    

---

## **2.3. Mnożenie wielomianów**

To jak **rozdawanie prezentów każdemu po kolei**. Każdy element z pierwszego nawiasu mnożymy przez każdy z drugiego.

**Przykład:**  
`(x + 2)(x + 3)`

1. `x * x = x²`
    
2. `x * 3 = 3x`
    
3. `2 * x = 2x`
    
4. `2 * 3 = 6`  
    Teraz dodajemy wszystko: `x² + 3x + 2x + 6 = x² + 5x + 6`
    

**Wizualizacja:**

(x + 2)(x + 3) = x * (x + 3) + 2 * (x + 3)  
= x² + 3x + 2x + 6  
= x² + 5x + 6  

---

## **2.4. Wzory skróconego mnożenia**

To **gotowe przepisy** na szybkie mnożenie.

### **1. Kwadrat sumy**

`(a + b)² = a² + 2ab + b²`  
**Przykład:**  
`(x + 1)² = x² + 2*x*1 + 1² = x² + 2x + 1`

### **2. Kwadrat różnicy**

`(a - b)² = a² - 2ab + b²`  
**Przykład:**  
`(x - 2)² = x² - 4x + 4`

### **3. Różnica kwadratów**

`(a + b)(a - b) = a² - b²`  
**Przykład:**  
`(x + 3)(x - 3) = x² - 9`

---

## **Trójkąt Pascala**

To **piramida liczb**, która pokazuje współczynniki przy `(a + b)ⁿ`.

Copy

Download

1           ← (a + b)⁰ = 1  
1 1         ← (a + b)¹ = a + b  
1 2 1       ← (a + b)² = a² + 2ab + b²  
1 3 3 1     ← (a + b)³ = a³ + 3a²b + 3ab² + b³  
1 4 6 4 1   ← (a + b)⁴ = a⁴ + 4a³b + 6a²b² + 4ab³ + b⁴  

**Jak czytać?**

- Dla `(a + b)³` patrzysz na 4. linię: `1 3 3 1` → `a³ + 3a²b + 3ab² + b³`.
    

---

## **2.5-2.6. Rozkład wielomianu na czynniki**

To **odwrotność mnożenia**. Szukamy, z jakich nawiasów mógł powstać wielomian.

### **Metody rozkładu:**

1. **Wyciąganie wspólnego czynnika przed nawias**  
    `6x² + 3x = 3x(2x + 1)`
    
2. **Wzory skróconego mnożenia**  
    `x² - 9 = (x - 3)(x + 3)`
    
3. **Grupowanie wyrazów**  
    `x³ + x² + x + 1 = x²(x + 1) + 1(x + 1) = (x² + 1)(x + 1)`
    
4. **Szukanie pierwiastków** (o tym później).
    

---

## **2.7. Równania wielomianowe**

To gdy wielomian **przyrównujemy do zera** i szukamy `x`.

**Przykład:**  
`x² - 5x + 6 = 0`

1. Rozkładamy na czynniki: `(x - 2)(x - 3) = 0`
    
2. Każdy nawias może dać zero:
    
    - `x - 2 = 0` → `x = 2`
        
    - `x - 3 = 0` → `x = 3`  
        **Rozwiązania:** `x = 2` lub `x = 3`.
        

---

## **2.8. Dzielenie wielomianów**

Działa jak **dzielenie pisemne**, ale z `x`.

**Przykład:**  
`(x² + 5x + 6) : (x + 2)`

1. Dzielimy **pierwszy wyraz** przez pierwszy wyraz dzielnika:  
    `x² : x = x` → zapisujemy `x` na górze.
    
2. Mnożymy `x * (x + 2) = x² + 2x` i odejmujemy od wielomianu:  
    `(x² + 5x + 6) - (x² + 2x) = 3x + 6`
    
3. Powtarzamy: `3x : x = 3` → `3` dopisujemy na górze.
    
4. Mnożymy `3 * (x + 2) = 3x + 6` i odejmujemy:  
    `(3x + 6) - (3x + 6) = 0` → **reszta 0**.  
    **Wynik:** `x + 3`.
    

---

## **2.10. Twierdzenie Bézouta**

Mówi: **Jeśli `W(a) = 0`, to `(x - a)` jest dzielnikiem wielomianu `W(x)`.**

**Przykład:**  
`W(x) = x² - 4`  
Sprawdzamy `W(2) = 2² - 4 = 0` → `(x - 2)` jest dzielnikiem.  
Faktycznie: `x² - 4 = (x - 2)(x + 2)`.

---

## **2.11. Pierwiastki całkowite i wymierne**

### **Pierwiastki całkowite**

To **całkowite liczby**, które podstawione za `x` dają `0`.  
**Jak szukać?** Sprawdzamy dzielniki wyrazu wolnego.

**Przykład:**  
`x³ - 3x² - 4x + 12 = 0`  
Dzielniki `12`: `±1, ±2, ±3, ±4, ±6, ±12`.  
Sprawdzamy:

- `W(2) = 8 - 12 - 8 + 12 = 0` → `x = 2` jest pierwiastkiem.
    

### **Pierwiastki wymierne**

To **ułamki** `p/q`, gdzie `p` to dzielnik wyrazu wolnego, a `q` dzielnik współczynnika przy najwyższej potędze.

**Przykład:**  
`2x² - x - 1 = 0`  
Możliwe ułamki: `±1, ±1/2`.  
Sprawdzamy `x = 1`: `2 - 1 - 1 = 0` → `x = 1` jest pierwiastkiem.

---

## **2.12. Pierwiastki wielokrotne**

To gdy **ta sama liczba** jest pierwiastkiem **kilka razy**.

**Przykład:**  
`(x - 1)² = 0` → `x = 1` jest **podwójnym** pierwiastkiem.

---

## **2.13. Wykres wielomianu**

- **Stopień 1 (np. `2x + 1`)** → prosta linia.
    
- **Stopień 2 (np. `x²`)** → parabola (kształt "U").
    
- **Stopień 3 (np. `x³`)** → krzywa w kształcie "S".
    

**Jak rysować?**

1. Znajdź **pierwiastki** (miejsca zerowe).
    
2. Zobacz, czy wielomian **idzie w górę czy w dół** dla dużych `x`.
    

**Przykład:**  
`W(x) = x² - 4`

- Pierwiastki: `x = -2` i `x = 2`.
    
- Dla `x → ∞` wielomian rośnie do `+∞`.
    

---

## **2.14. Nierówności wielomianowe**

To gdy zamiast `=` jest `<`, `>`, `≤`, `≥`.

**Jak rozwiązywać?**

1. Rozłóż na czynniki.
    
2. Znajdź pierwiastki.
    
3. Narysuj **oś liczbową** i zaznacz przedziały.
    

**Przykład:**  
`x² - 4 > 0`

1. Rozkład: `(x - 2)(x + 2) > 0`.
    
2. Pierwiastki: `x = -2`, `x = 2`.
    
3. Rysujemy oś:
    
    ----(+)----(-2)----(-)----(2)----(+)---->  
    
    - Dla `x < -2` → `(+) * (-) = (-)` → **nie spełnia**.
        
    - Dla `-2 < x < 2` → `(+) * (+) = (+)` → **spełnia**.
        
    - Dla `x > 2` → `(-) * (+) = (-)` → **nie spełnia**.  
        **Rozwiązanie:** `x ∈ (-∞, -2) ∪ (2, ∞)`.](<2.14. Nierówności wielomianowe
To gdy zamiast = jest %3C, %3E, ≤, ≥.

Jak rozwiązywać?

Rozłóż na czynniki.

Znajdź pierwiastki.

Narysuj oś liczbową i zaznacz przedziały.

Przykład:
x² - 4 > 0

Rozkład: (x - 2)(x + 2) > 0.

Pierwiastki: x = -2, x = 2.

Rysujemy oś:

----(+)----(-2)----(-)----(2)----(+)---->  
Dla x < -2 → (+) * (-) = (-) → nie spełnia.

Dla -2 < x < 2 → (+) * (+) = (+) → spełnia.

Dla x > 2 → (-) * (+) = (-) → nie spełnia.
Rozwiązanie: x ∈ (-∞, -2) ∪ (2, ∞).>)